org.apache.maven.scm.provider.cvslib.cvsjava.command.changelog

## Class CvsJavaChangeLogCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.changelog.AbstractChangeLogCommand
    - - org.apache.maven.scm.provider.cvslib.command.changelog.AbstractCvsChangeLogCommand
      - - org.apache.maven.scm.provider.cvslib.cvsjava.command.changelog.CvsJavaChangeLogCommand

All Implemented Interfaces:
  ChangeLogCommand, Command, CvsCommand

    public class CvsJavaChangeLogCommand
    extends AbstractCvsChangeLogCommand

Version:
  $Id: CvsJavaChangeLogCommand.java 690997 2008-09-01 15:29:28Z vsiveton $
Author:
  Emmanuel Venisse

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`CvsJavaChangeLogCommand()`

### Method Summary

Methods
`protected void` `addDateRangeParameter(org.codehaus.plexus.util.cli.Commandline cl, String dateRange)`
`protected ChangeLogScmResult` `executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl, Date startDate, Date endDate, ScmVersion startVersion, ScmVersion endVersion, String datePattern)`

### Methods inherited from class org.apache.maven.scm.provider.cvslib.command.changelog.AbstractCvsChangeLogCommand

`executeChangeLogCommand, executeChangeLogCommand, getDateFormat`

### Methods inherited from class org.apache.maven.scm.command.changelog.AbstractChangeLogCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### CvsJavaChangeLogCommand

    public CvsJavaChangeLogCommand()

### Method Detail

#### executeCvsCommand

    protected ChangeLogScmResult executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl,
                                       Date startDate,
                                       Date endDate,
                                       ScmVersion startVersion,
                                       ScmVersion endVersion,
                                       String datePattern)
                                            throws ScmException

Specified by:
  `executeCvsCommand` in class `AbstractCvsChangeLogCommand`
Throws:
  `ScmException`

#### addDateRangeParameter

    protected void addDateRangeParameter(org.codehaus.plexus.util.cli.Commandline cl,
                             String dateRange)

Overrides:
  `addDateRangeParameter` in class `AbstractCvsChangeLogCommand`